Search documentation of ExStreamClient

# ExStreamClient.Operations.ExternalStorage (ExStreamClient v0.1.10)

View Source

Modules for interacting with the `external_storage` group of Stream APIs

API Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2

### Shared options

All functions in this module accept the following optional parameters:

- `api_key` - API key to use. If not provided, the default key from config will be used
- `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used
- `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used
- `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`
- `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options

# Summary

## Types

shared_opts()

## Functions

check_external_storage(name, opts \\ [])
create_external_storage(payload, opts \\ [])

Creates new external storage

delete_external_storage(name, opts \\ [])

Deletes external storage

list_external_storage(opts \\ [])

Lists external storage

update_external_storage(name, payload, opts \\ [])

# Types

# shared_opts()

    @type shared_opts() :: [
      api_key: String.t(),
      api_key_secret: String.t(),
      client: module(),
      endpoint: String.t(),
      req_opts: keyword()
    ]

# Functions

# check_external_storage(name, opts \\ [])

    @spec check_external_storage(String.t(), shared_opts()) ::
      {:ok, ExStreamClient.Model.CheckExternalStorageResponse.t()} | {:error, any()}

### Required Arguments:

- `name`

### Optional Arguments:

- All options from Shared Options are supported.

# create_external_storage(payload, opts \\ [])

    @spec create_external_storage(
      ExStreamClient.Model.CreateExternalStorageRequest.t(),
      shared_opts()
    ) ::
      {:ok, ExStreamClient.Model.CreateExternalStorageResponse.t()}
      | {:error, any()}

Creates new external storage

### Required Arguments:

- `payload`: `Elixir.ExStreamClient.Model.CreateExternalStorageRequest`

### Optional Arguments:

- All options from Shared Options are supported.

# delete_external_storage(name, opts \\ [])

    @spec delete_external_storage(String.t(), shared_opts()) ::
      {:ok, ExStreamClient.Model.DeleteExternalStorageResponse.t()}
      | {:error, any()}

Deletes external storage

### Required Arguments:

- `name`

### Optional Arguments:

- All options from Shared Options are supported.

# list_external_storage(opts \\ [])

    @spec list_external_storage(shared_opts()) ::
      {:ok, ExStreamClient.Model.ListExternalStorageResponse.t()} | {:error, any()}

Lists external storage

### Optional Arguments:

- All options from Shared Options are supported.

# update_external_storage(name, payload, opts \\ [])

    @spec update_external_storage(
      String.t(),
      ExStreamClient.Model.UpdateExternalStorageRequest.t(),
      shared_opts()
    ) ::
      {:ok, ExStreamClient.Model.UpdateExternalStorageResponse.t()}
      | {:error, any()}

### Required Arguments:

- `name`
- `payload`: `Elixir.ExStreamClient.Model.UpdateExternalStorageRequest`

### Optional Arguments:

- All options from Shared Options are supported.